"use strict";
const common_vendor = require("../../common/vendor.js");
if (!Array) {
  const _easycom_up_icon2 = common_vendor.resolveComponent("up-icon");
  const _easycom_hs_button2 = common_vendor.resolveComponent("hs-button");
  const _easycom_uni_icons2 = common_vendor.resolveComponent("uni-icons");
  const _easycom_up_steps_item2 = common_vendor.resolveComponent("up-steps-item");
  const _easycom_up_steps2 = common_vendor.resolveComponent("up-steps");
  (_easycom_up_icon2 + _easycom_hs_button2 + _easycom_uni_icons2 + _easycom_up_steps_item2 + _easycom_up_steps2)();
}
const _easycom_up_icon = () => "../../node-modules/uview-plus/components/u-icon/u-icon.js";
const _easycom_hs_button = () => "../../components/hs-button/hs-button.js";
const _easycom_uni_icons = () => "../../uni_modules/uni-icons/components/uni-icons/uni-icons.js";
const _easycom_up_steps_item = () => "../../node-modules/uview-plus/components/u-steps-item/u-steps-item.js";
const _easycom_up_steps = () => "../../node-modules/uview-plus/components/u-steps/u-steps.js";
if (!Math) {
  (_easycom_up_icon + _easycom_hs_button + _easycom_uni_icons + _easycom_up_steps_item + _easycom_up_steps)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    const handleOpenDoor = () => {
      common_vendor.index.showLoading({
        title: "开门中...",
        mask: true
      });
      setTimeout(() => {
        common_vendor.index.showToast({
          title: "未找到门锁！",
          icon: "none"
        });
      }, 3e3);
    };
    return (_ctx, _cache) => {
      return {
        a: common_vendor.p({
          name: "lock-fill",
          size: "25"
        }),
        b: common_vendor.o(handleOpenDoor),
        c: common_vendor.p({
          label: "开门",
          size: "sm",
          type: "primary"
        }),
        d: common_vendor.p({
          name: "lock-fill",
          size: "25"
        }),
        e: common_vendor.o(handleOpenDoor),
        f: common_vendor.p({
          label: "开门",
          size: "sm",
          type: "primary"
        }),
        g: common_vendor.p({
          name: "lock-fill",
          size: "25"
        }),
        h: common_vendor.o(handleOpenDoor),
        i: common_vendor.p({
          label: "开门",
          size: "sm",
          type: "primary"
        }),
        j: common_vendor.p({
          type: "circle",
          size: "15",
          color: "#2A7EFB"
        }),
        k: common_vendor.p({
          title: "2025-02-03"
        }),
        l: common_vendor.p({
          type: "circle",
          size: "15",
          color: "#2A7EFB"
        }),
        m: common_vendor.p({
          title: "2025-02-03"
        }),
        n: common_vendor.p({
          type: "info",
          size: "15",
          color: "#f00"
        }),
        o: common_vendor.p({
          title: "2025-02-02"
        }),
        p: common_vendor.p({
          direction: "column",
          current: "2",
          dot: true
        })
      };
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/zsq/Sources/github/2025property-pay/pay-customer/src/INDEX/open_door/index.vue"]]);
wx.createPage(MiniProgramPage);
